/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/**
 * <BR> <I>$Source: /cvs/glassfish/appserv-core/src/java/com/sun/ejb/containers/util/pool/PoolException.java,v $</I>
 * @author     $Author: tcfujii $
 * @version    $Revision: 1.3 $ $Date: 2005/12/25 04:13:35 $
 */
 
package com.sun.ejb.containers.util.pool;

import java.io.PrintStream;
import java.io.PrintWriter;

public class PoolException
    extends RuntimeException
{
    Throwable throwable = null;
    
    public PoolException() {
        super();
    }
    
    public PoolException(String message) {
        super(message);
    }
    
    public PoolException(String message, Throwable throwable) {
        super(message);
        this.throwable = throwable;
    }
    
    public Throwable getThrowable() {
    	return this.throwable;
    }
    
    public void printStackTrace() {
    	printStackTrace(new PrintWriter(System.err));
    }
    
    public void printStackTrace(PrintStream ps) {
    	printStackTrace(new PrintWriter(ps));
    }
    
    public void printStackTrace(PrintWriter pw) {
    	if (throwable != null) {
            pw.println("PoolException: " + getMessage());
            throwable.printStackTrace(pw);
    	} else {
            super.printStackTrace(pw);
    	}
    }
    
}
